<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Thu Mar 15 23:03:53 CET 2018 -->
<title>DrawToolFactory (JDraw API)</title>
<meta name="date" content="2018-03-15">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DrawToolFactory (JDraw API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../jdraw/framework/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DrawToolFactory.html">Use</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../jdraw/framework/DrawTool.html" title="interface in jdraw.framework"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../jdraw/framework/DrawView.html" title="interface in jdraw.framework"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?jdraw/framework/DrawToolFactory.html" target="_top">Frames</a></li>
<li><a href="DrawToolFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">jdraw.framework</div>
<h2 title="Interface DrawToolFactory" class="title">Interface DrawToolFactory</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="typeNameLabel">DrawToolFactory</span></pre>
<div class="block">A DrawTool factory creates an instance of a draw tool and returns an icon
 which can be used in the tool palette of the graphics editor.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>2.5</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Dominik Gruntz &amp; Christoph Denzler</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../jdraw/framework/DrawTool.html" title="interface in jdraw.framework"><code>DrawTool</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../jdraw/framework/DrawTool.html" title="interface in jdraw.framework">DrawTool</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawToolFactory.html#createTool-jdraw.framework.DrawContext-">createTool</a></span>(<a href="../../jdraw/framework/DrawContext.html" title="interface in jdraw.framework">DrawContext</a>&nbsp;context)</code>
<div class="block">Returns a draw tool operating on the given controller.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawToolFactory.html#getIconName--">getIconName</a></span>()</code>
<div class="block">Returns the path of the draw tool icon.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawToolFactory.html#getName--">getName</a></span>()</code>
<div class="block">Returns the name of the created tool.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawToolFactory.html#setIconName-java.lang.String-">setIconName</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Sets the path of the draw tool icon to be used for the created draw tool.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawToolFactory.html#setName-java.lang.String-">setName</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Sets the name to be used for the created draw tool.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>java.lang.String&nbsp;getName()</pre>
<div class="block">Returns the name of the created tool. If this value is not null, then
 it will overwrite the name of the created tool</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>draw tool name</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../jdraw/framework/DrawTool.html#getName--"><code>DrawTool.getName()</code></a></dd>
</dl>
</li>
</ul>
<a name="setName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setName</h4>
<pre>void&nbsp;setName(java.lang.String&nbsp;name)</pre>
<div class="block">Sets the name to be used for the created draw tool. This name overwrites
 the name of the draw tool implementation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - draw tool name</dd>
</dl>
</li>
</ul>
<a name="getIconName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIconName</h4>
<pre>java.lang.String&nbsp;getIconName()</pre>
<div class="block">Returns the path of the draw tool icon. If this value is not null, then
 it will overwrite the path of the created tool.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>draw tool name</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../jdraw/framework/DrawTool.html#getIcon--"><code>DrawTool.getIcon()</code></a></dd>
</dl>
</li>
</ul>
<a name="setIconName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIconName</h4>
<pre>void&nbsp;setIconName(java.lang.String&nbsp;name)</pre>
<div class="block">Sets the path of the draw tool icon to be used for the created draw tool.
 This name overwrites the name of the draw tool implementation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - draw tool icon name</dd>
</dl>
</li>
</ul>
<a name="createTool-jdraw.framework.DrawContext-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createTool</h4>
<pre><a href="../../jdraw/framework/DrawTool.html" title="interface in jdraw.framework">DrawTool</a>&nbsp;createTool(<a href="../../jdraw/framework/DrawContext.html" title="interface in jdraw.framework">DrawContext</a>&nbsp;context)</pre>
<div class="block">Returns a draw tool operating on the given controller.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>context</code> - draw context</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>draw tool</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../jdraw/framework/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DrawToolFactory.html">Use</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../jdraw/framework/DrawTool.html" title="interface in jdraw.framework"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../jdraw/framework/DrawView.html" title="interface in jdraw.framework"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?jdraw/framework/DrawToolFactory.html" target="_top">Frames</a></li>
<li><a href="DrawToolFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2000-2017 D. Gruntz & Ch. Denzler, FHNW. All Rights Reserved.</i></small></p>
</body>
</html>
